1. Transactions
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
        GET
      • Get Transaction
        GET
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Transactions

List Transactions

GET
/api/v1/transaction/list
Query the current customer's transaction records with multi-condition filtering and pagination.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Transactions retrieved successfully
Bodyapplication/json

🟠404
🔴500Error
🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/transaction/list?pageNum=undefined&pageSize=undefined&businessType=undefined&currencyCode=undefined&direction=undefined&status=undefined&transactionNo=undefined&orderNo=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "total": 0,
        "list": [
            {
                "transactionNo": "string",
                "parentTransactionNo": "string",
                "productCode": "string",
                "businessType": "string",
                "sceneType": "string",
                "accountNo": "string",
                "sourceAccountNo": "string",
                "targetAccountNo": "string",
                "orderNo": "string",
                "direction": "string",
                "currencyCode": "string",
                "amount": 0,
                "feeAmount": 0,
                "netAmount": 0,
                "exchangeRate": 0,
                "sourceCurrencyCode": "string",
                "sourceAmount": 0,
                "targetCurrencyCode": "string",
                "targetAmount": 0,
                "status": "string",
                "initiateTime": "2019-08-24T14:15:22.123Z",
                "successTime": "2019-08-24T14:15:22.123Z",
                "failTime": "2019-08-24T14:15:22.123Z",
                "failReason": "string",
                "balanceAmount": 0,
                "description": "string",
                "createTimeUtc": "2019-08-24T14:15:22.123Z",
                "updateTimeUtc": "2019-08-24T14:15:22.123Z"
            }
        ],
        "pageNum": 0,
        "pageSize": 0,
        "pages": 0
    }
}
Modified at 2026-05-27 09:47:15
Previous
Get Virtual Account
Next
Get Transaction
Built with